import * as core from "@terrascript/core";

export interface ResourcePolicyArgs extends core.ResourceArgs {
  policy: string | core.StringOut;

  resourceArn: string | core.StringOut;
}

export class ResourcePolicy extends core.Resource<ResourcePolicyArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public policy!: string | core.StringOut;

  @core.attr(String)
  public resourceArn!: string | core.StringOut;

  constructor(name: string, args?: ResourcePolicyArgs) {
    super(name, "aws_networkfirewall_resource_policy", args);
  }

  public override getNamespace(): string {
    return "aws_networkfirewall";
  }
}
